libnet-openid-consumer-perl_1.18-1_all.deb


Advertisement

Description

libnet-openid-consumer-perl - library for consumers of OpenID identities

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libnet-openid-consumer-perl_1.18-1_all.deb
Package name libnet-openid-consumer-perl
Package version 1.18
Package release 1
Package architecture all
Package type deb
Category perl role::shared-lib
Homepage https://metacpan.org/release/Net-OpenID-Consumer
License -
Maintainer Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Download size 59.78 KB
Installed size 153.00 KB
Net::OpenID::Consumer is the Perl API for (the consumer half of) OpenID, a
distributed identity system based on proving you own a URL, which is then
your identity.

Alternatives

Package Version Architecture Repository
libnet-openid-consumer-perl_1.18-1_all.deb 1.18 all Debian Main
libnet-openid-consumer-perl - - -

Requires

Name Value
libcrypt-ssleay-perl -
libjson-perl -
libnet-openid-common-perl >= 1.19
liburi-perl -
libwww-perl -
perl -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libnet-openid-consumer-perl_1.18-1_all.deb
Source Package libnet-openid-consumer-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libnet-openid-consumer-perl deb package:
    # sudo apt-get install libnet-openid-consumer-perl

Files

Path
/usr/share/doc/libnet-openid-consumer-perl/NEWS.Debian.gz
/usr/share/doc/libnet-openid-consumer-perl/changelog.Debian.gz
/usr/share/doc/libnet-openid-consumer-perl/changelog.gz
/usr/share/doc/libnet-openid-consumer-perl/copyright
/usr/share/doc/libnet-openid-consumer-perl/examples/consumer.cgi.gz
/usr/share/man/man3/Net::OpenID::Association.3pm.gz
/usr/share/man/man3/Net::OpenID::ClaimedIdentity.3pm.gz
/usr/share/man/man3/Net::OpenID::Consumer.3pm.gz
/usr/share/man/man3/Net::OpenID::VerifiedIdentity.3pm.gz
/usr/share/perl5/Net/OpenID/Association.pm
/usr/share/perl5/Net/OpenID/ClaimedIdentity.pm
/usr/share/perl5/Net/OpenID/Consumer.pm
/usr/share/perl5/Net/OpenID/VerifiedIdentity.pm

Changelog

2016-02-13 - gregor herrmann <gregoa@debian.org>
libnet-openid-consumer-perl (1.18-1) unstable; urgency=medium
* Team upload.
[ gregor herrmann ]
* Add debian/upstream/metadata.
[ Salvatore Bonaccorso ]
* debian/control: Use HTTPS transport protocol for Vcs-Git URI
[ gregor herrmann ]
* Import upstream versions 1.17, 1.18.
* debian/rules: drop override_dh_clean.
The editor backup files which we removed are gone.
* Bump versioned (build) dependency on libnet-openid-common-perl
to 1.19.
* Declare compliance with Debian Policy 3.9.7.
* Bump debhelper compatibility level to 9.
2015-07-24 - Damyan Ivanov <dmn@debian.org>
libnet-openid-consumer-perl (1.16-1) unstable; urgency=medium
* Team upload
* Move under team maintenance
* debian/control: Changed: Homepage field changed to metacpan.org URL;
Maintainer set to Debian Perl Group <pkg-perl-
maintainers@lists.alioth.debian.org>; Dominic Hargreaves <dom@earth.li>
moved to Uploaders.
* debian/watch: use metacpan-based URL.
* Mark package as autopkgtestable
* Declare compliance with Debian Policy 3.9.6
* Use group's repository in Vcs-*
* Remove (build) dependency on libdigest-sha-perl, included in perl core
since 5.9.3
* Remove the version from the perl build dependency.
5.8.0 is available everywhere
* Include module name in long description
* Add build dependency on libcgi-pm-perl | perl (<< 5.19)
CGI.pm is no longer in perl core. (Closes: #789366)
* Imported Upstream version 1.16
2014-02-09 - Dominic Hargreaves <dom@earth.li>
libnet-openid-consumer-perl (1.15-1) unstable; urgency=medium
* Confirm to copyright-format 1.0
* New upstream release
* Update Standards-Version (no changes)
* Work around editor backup files shipped upstream
2012-03-18 - Dominic Hargreaves <dom@earth.li>
libnet-openid-consumer-perl (1.13-1) unstable; urgency=low
* Update to debhelper compat level 8
* Update Standards-Version (no changes)
* New upstream release
2011-11-12 - Dominic Hargreaves <dom@earth.li>
libnet-openid-consumer-perl (1.12-1) unstable; urgency=low
* Add Vcs-* fields
* New upstream release
* Update dependencies for new release (closes: #636856)
* Update Standards-Version (no changes)
2011-02-05 - Dominic Hargreaves <dom@earth.li>
libnet-openid-consumer-perl (1.03-2) unstable; urgency=low
* Add dependency on libcrypt-ssleay-perl (closes: #608033)
* Update Standards-Version (no changes)
* Switch to minimal dh7 rules file
* Update to debhelper compatibility level 7
* Update source format version to 3.0 (quilt)
* Fix POD formatting and spelling errors
2009-06-05 - Dominic Hargreaves <dom@earth.li>
libnet-openid-consumer-perl (1.03-1) unstable; urgency=low
* New upstream release (closes: #531748)
* Update Standards-Version (no changes)
* Bump debian/compat to 5
2008-08-10 - Dominic Hargreaves <dom@earth.li>
libnet-openid-consumer-perl (0.14-4) unstable; urgency=low
* Remove dependency and build-dependency on libmime-tools-perl; only
MIME::Base64 is actually used and that comes from the perl package,
not the libmime-tools-perl package
2008-08-09 - Dominic Hargreaves <dom@earth.li>
libnet-openid-consumer-perl (0.14-3) unstable; urgency=low
* Replace Depends on libmime-perl with libmime-tools-perl due to
package rename (fixes Lintian error)
* Update Standards-Version (no changes)
2008-03-01 - Dominic Hargreaves <dom@earth.li>
libnet-openid-consumer-perl (0.14-2) unstable; urgency=low
* Fix debian/rules rmdir bug (closes: #467864)
* Standardize debian/watch format
* debian/control: add Homepage field

See Also

Package Description
libnet-openid-server-perl_1.09-3_all.deb library for servers of OpenID identities
libnet-opensrs-perl_0.06-2_all.deb Perl interface for domain registration via the Tucows OpenSRS HTTPS XML API
libnet-openssh-compat-perl_0.09-1_all.deb collection of compatibility modules for Net::OpenSSH
libnet-openssh-parallel-perl_0.12-1_all.deb run SSH jobs in parallel
libnet-openssh-perl_0.78-1_all.deb Perl SSH client package implemented on top of OpenSSH
libnet-oping-perl_1.10.0-1.21-2.1+b1_i386.deb module for ICMP latency measurement
libnet-patricia-perl_1.22-1+b5_i386.deb Perl module for fast IP address lookups
libnet-pcap-perl_0.18-2+b3_i386.deb Perl binding to the LBL pcap packet capture library
libnet-ph-perl_2.21-8_all.deb Perl module for accessing Ph servers
libnet-prometheus-perl_0.07-1_all.deb module to export monitoring metrics for Prometheus
libnet-proxy-perl_0.12-6_all.deb Framework for proxying network connections in many ways
libnet-radius-perl_2.103+dfsg-1_all.deb distribution of modules interfacing to the RADIUS protocol
libnet-rawip-perl_0.25-2+b5_i386.deb Perl interface to lowlevel TCP/IP
libnet-rblclient-perl_0.5-3_all.deb module to query multiple Realtime Blackhole Lists in parallel
libnet-remctl-perl_3.15-1+b3_i386.deb Perl client for Kerberos-authenticated command execution
Advertisement
Advertisement